## python-hbmqtt 0.9.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/HBMQTT.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/HBMQTT.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/HBMQTT"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/HBMQTT"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-hbmqtt 0.9

=== debian/changelog ===
python-hbmqtt (0.9-1) unstable; urgency=medium

  * Initial release (closes: 869776)

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 26 Jul 2017 10:48:08 +0200

=== debian/control ===
Source: python-hbmqtt
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stein Magnus Jodal <jodal@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-docopt,
               python3-nose,
               python3-passlib,
               python3-setuptools,
               python3-transitions,
               python3-websockets,
               python3-yaml,
Standards-Version: 4.0.0
Homepage: https://hbmqtt.readthedocs.io/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hbmqtt.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hbmqtt.git
X-Python3-Version: >= 3.4

Package: python3-hbmqtt
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: MQTT client/broker for asyncio
 HBMQTT is a MQTT client and broker implementation built on top of asyncio.
 .
 HBMQTT implements the full set of MQTT 3.1.1 protocol specifications and
 provides the following features:
 .
  * Support QoS 0, QoS 1 and QoS 2 messages flow
  * Client auto-reconnection on network lost
  * Authentication through password file
    (more methods can be added through a plugin system)
  * Basic $SYS topics
  * TCP and websocket support
  * SSL support over TCP and websocket
  * Plugin system

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=hbmqtt
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_TEST_NOSE=1

# The test suite included in the PyPI package is incomplete and thus fails.
# See https://github.com/beerfactory/hbmqtt/pull/83
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

# The PyPI package is incomplete and does not include the docs.
# See https://github.com/beerfactory/hbmqtt/pull/83
#override_dh_installchangelogs:
#	dh_installchangelogs docs/changelog.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/hbmqtt/hbmqtt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hbmqtt 0.9.2

=== debian/changelog ===
python-hbmqtt (0.9.2-2) unstable; urgency=medium

  * debian/control
    - Remove redundant X-Python3-Version
  * debian/patches/
    - Add patch to remove the `scripts` module (closes: 897691)

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 25 May 2018 11:30:53 +0200

python-hbmqtt (0.9.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Stein Magnus Jodal ]
  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.1.4, no changes required
  * debian/patches/
    - Drop 0001-transitions-0.5.0-compatability.patch, as it is merged upstream
  * debian/rules
    - Enable tests, as upstream now includes the full suite
    - Install changelog, now included by upstream

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 02 May 2018 01:06:04 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
                python3-transitions,
                python3-websockets,
                python3-yaml,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://hbmqtt.readthedocs.io/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hbmqtt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hbmqtt.git
-X-Python3-Version: >= 3.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-hbmqtt.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hbmqtt
 
 Package: python3-hbmqtt
 Architecture: all

## python-hbmqtt 0.9.5

=== debian/changelog ===
python-hbmqtt (0.9.5-3) unstable; urgency=medium

  * d/clean: Clean .pytest_cache/
  * d/rules: Skip tests requiring port 8888 to be available

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 27 Dec 2019 18:38:35 +0100

python-hbmqtt (0.9.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 25 Dec 2019 08:59:41 +0100

python-hbmqtt (0.9.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Stein Magnus Jodal ]
  * New upstream release (Closes: #911861)
  * d/control: Bump Standards-Version to 4.4.0, no changes required
  * d/copyright: Update copyright years
  * d/patches: Move scripts module into hbmqtt module

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 18 Jul 2019 23:43:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stein Magnus Jodal <jodal@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 10),
                dh-python,
                python3-all,
                python3-docopt,
@@ -13,7 +13,7 @@
                python3-transitions,
                python3-websockets,
                python3-yaml,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://hbmqtt.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-hbmqtt.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hbmqtt

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=hbmqtt
export PYBUILD_TEST_NOSE=1

# Skip some tests:
# - test_manager.py requires setuptools entry points to be registered
# - test_handler.py requires port 8888 to be available for use
export PYBUILD_TEST_ARGS=-I test_manager.py -I test_handler.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

## python-hbmqtt 0.9.6

=== debian/changelog ===
python-hbmqtt (0.9.6-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stein Magnus Jodal ]
  * Remove myself from Uploaders
  * New upstream release
  * d/control: Set Rules-Requires-Root
  * d/copyright: Update copyright years
  * d/control: Enable autopkgtest
  * d/patches: Refresh patch

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 04 Dec 2020 23:52:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: python-hbmqtt
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Stein Magnus Jodal <jodal@debian.org>,
-Build-Depends: debhelper-compat (= 10),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-docopt,
@@ -13,10 +12,12 @@
                python3-transitions,
                python3-websockets,
                python3-yaml,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 Homepage: https://hbmqtt.readthedocs.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-hbmqtt.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hbmqtt
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-hbmqtt.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hbmqtt
 
 Package: python3-hbmqtt
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 # Skip some tests:
 # - test_manager.py requires setuptools entry points to be registered
 # - test_handler.py requires port 8888 to be available for use
-export PYBUILD_TEST_ARGS=-I test_manager.py -I test_handler.py
+# - test_connect_tcp* requires a connection to test.mosquitto.org
+export PYBUILD_TEST_ARGS=-I test_manager.py -I test_handler.py -e test_connect_tcp
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
